> For the complete documentation index, see [llms.txt](https://docs.studiio.io/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.studiio.io/api/reference/sms-mms/get-sms-mms-messages.md).

# Get SMS/MMS messages

#### Method

<mark style="color:green;">`GET`</mark> <https://api.studiio.io/v1/sms-mms?stationId=YOUR\\_STATION\\_ID><br>

**Query Parameters**

<table><thead><tr><th width="206">Name</th><th width="114.5" align="center">Required?</th><th width="90">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>stationId</code></td><td align="center">✅</td><td>integer</td><td>Your station ID (contact Studiio if you don't know your station ID)</td></tr><tr><td><code>limit</code></td><td align="center"></td><td>integer</td><td>Number of messages to return (default: 50, max: 100)</td></tr><tr><td><code>offset</code></td><td align="center"></td><td>integer</td><td>Number of messages to skip for pagination (default: 0)</td></tr><tr><td><code>listenerId</code></td><td align="center"></td><td>integer</td><td>Filter by specific listener ID</td></tr><tr><td><code>numberId</code></td><td align="center"></td><td>integer</td><td>Filter by specific phone number ID</td></tr></tbody></table>

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
    "status": "success",
    "data": [
        {
            "id": 12345,
            "type": "sms",
            "body": "Wow",
            "dateReceived": "2000-01-01T00:00:00.000Z",
            "status": "received",
            "from": {
                "number": "123456789",
                "listener": {
                    "id": 109248,
                    "name": "John Doe",
                    "tier": 0,
                    "blocked": false,
                    "contact": {
                        "phone": "123456789",
                        "email": null
                    },
                    "location": {
                        "city": "Melbourne",
                        "state": "Victoria",
                        "country": "Australia"
                    },
                    "photos": [],
                    "dateAdded": "2000-01-01T00:00:00.000Z"
                }
            },
            "to": {
                "number": "123456789"
            },
            "attachments": [],
            "responseCount": 0
        }
    ]
}
```

{% endtab %}
{% endtabs %}
